﻿using System;
using moh.eSAMMoHAddress;

namespace Client
{
    class Example
    {
        public Example(string searchString)
        {
            try
            {

                moh.eSAMMoHAddress.eSAMMoHAddress_v01Client connection = new moh.eSAMMoHAddress.eSAMMoHAddress_v01Client();
                
                connection.Open();

                moh.eSAMMoHAddress.AddressSuggestionType[] result;

                ResultHeaderType response = connection.SuggestAddress(searchString, "", 20, "moh", "address", "hiping", out result);

                connection.Close();
                     
                foreach (AddressSuggestionType addr in result)
                {
                    Console.WriteLine(addr.FullAddress);
                }

            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }

        }

        static void Main(string[] args)
        {
            if (args.Length != 1)
            {
                new Example("");
                return;
            }
            new Example(args[0]);
        }
    }
}
