import java.util.List;

import nz.co.esam.esammohaddress_v01.*;


public class Client {

	public Client() {

		ESAMMoHAddressV01_Service service = new ESAMMoHAddressV01_Service();
		ESAMMoHAddressV01 soapService = service.getSOAPOverHTTP();



		SuggestAddressRequest request = new SuggestAddressRequest();

		request.setMaxResults(new Long(5));
		request.setSearchFor("133 Molesworth Street");
		request.setUniqueApplicationId("hiping");
		request.setUniqueOrganisationCode("moh");
		request.setUniqueUserId("user");

		SuggestAddressResponse response = soapService.suggestAddress(request);
		List addresses = response.getAddressSuggestion();
		System.out.println("Response: " + response.getHeader().getResultCode());


	}

	public static void main(String[] args) {
		new Client();
		System.out.println("Working");

	}
}
